#include "i2cmaster.h"
#include <avr/io.h>






void USART_Init( unsigned int ubrr )
{
	/* Set baud rate*/
	UBRR0H = (unsigned char)(ubrr>>8);
	UBRR0L = (unsigned char)ubrr;
	/* Enable receiver ?nd transmitter*/
	UCSR0B = (1<<RXEN0)|(1<<TXEN0);
	/* Set frame format? 8data, 2stop bit*/
	UCSR0C = (1<<URSEL0)|(1<<USBS0)|(3<<UCSZ00);
}



void USART_Transmit( unsigned char data )
{
	/* Wait for empty t?ansmit buffer*/
	while( !( UCSR0A & 1<<UDRE0) );
	
	/* Put data into bu?fer, sends the data*/
	UDR0 = data;
}
